System.Web 2.0.0.0 System.Web.UI.DataSourceView

The control can present its underlying data in both tabular and hierarchical format to Web server controls that bind to it. Controls such as or use the to bind to XML data and present it in list or tabular form, while controls that derive from the class, such as , bind to XML data and present it in hierarchical form.

The creates each view type internally through different code paths. If the method is called on the , an is created by the . If the method is called, an is created. The class is provided for Web server controls that derive from and bind to lists and tabular data, while the is provided for Web server controls that derive from and bind to hierarchical data. Internally, all data-bound control methods call the Select method on whichever data source view object is returned.

Like all helper objects, the defines the operations that the data source can perform with the underlying data. Because the class only overrides the method, the associated control does not support update, insert, or delete operations. Because the class is sealed, you cannot extend the class to add this functionality, but you can derive a data source control from and a view from if you require additional functionality.

Represents a tabular data source view on XML data for an control.

- Constructor
  To be added.

  Initializes a new named instance of the class, and associates the specified with it.

  The that the is associated with.
  The name of the view.
  2.0.0.0
- Method
  2.0.0.0
  System.Collections.IEnumerable `` To be added. To be added. To be added. To be added.
- Method
  System.Collections.IEnumerable `` To be added.

  Retrieves a list of data rows from the underlying XML.

  An collection of data items.

  A object that is used to request operations on the data beyond basic data retrieval. 2.0.0.0